# Documentation to create a Webapp



## Installation of electron
```bash
npm install
```
## Configuration of the WebApp

Edit the `package.json` file with the value wanted

Edit the `main.js` file to change the URL with the one wanted

>**_Optional_**
> The `main.js` file can be modified has wanted to create a better User Experience
> the default settings works pretty good.
> If you need to change something you can check the [official doc](http://electron.atom.io/docs/all/)

## See the render

In order to see how the app is looking you can do
```bash
npm start
```
It will run your application to see the render.

## Build the app

```bash
- For MacOSx
electron-packager . <appname> --platform=darwin
- For linux
electron-packager . <appname> --platform=linux
```
>**_Optional_**
>you can use a custom package information with this command and the information from the oficial [documentation](https://github.com/electron-userland/electron-packager/blob/master/docs/api.md)
>```bash
electron-packager <sourcedir> <appname> --platform=<platform> --arch=<arch> --icon=/path/to/directory [optional flags...]
```

##Your app should have been build ;-)
Enjoy your webApp
